svn commit: r358425 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Fri Feb 28 07:49:46 UTC 2020


Author: pho
Date: Fri Feb 28 07:49:44 2020
New Revision: 358425
URL: https://svnweb.freebsd.org/changeset/base/358425

Log:
  Added comment about problem found. Return fsck exit code.

Modified:
  user/pho/stress2/misc/rename12.sh

Modified: user/pho/stress2/misc/rename12.sh
==============================================================================
--- user/pho/stress2/misc/rename12.sh	Fri Feb 28 07:47:57 2020	(r358424)
+++ user/pho/stress2/misc/rename12.sh	Fri Feb 28 07:49:44 2020	(r358425)
@@ -30,6 +30,9 @@
 
 # No problems seen with SU. Panics with SU+J, just like suj30.sh
 
+# Triggers "known LOR in SU code" when crossmp8.sh is run first:
+# https://people.freebsd.org/~pho/stress/log/rename12.txt.
+
 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
 
 . ../default.cfg
@@ -71,10 +74,10 @@ while mount | grep "on $mntpoint " | grep -q /dev/md; 
 	umount $mntpoint || sleep 1
 done
 
-checkfs /dev/md${mdstart}$part
+checkfs /dev/md${mdstart}$part; s=$?
 mdconfig -d -u $mdstart
 rm -rf /tmp/rename12
-exit 0
+exit $s
 EOF
 #include <sys/stat.h>
 #include <sys/types.h>


More information about the svn-src-user mailing list